Loading...
Searching...
No Matches
QGpgME::WKSPublishJob Class Referenceabstract

`#include <wkspublishjob.h>`

Inheritance diagram for QGpgME::WKSPublishJob:
[legend]
Collaboration diagram for QGpgME::WKSPublishJob:
[legend]

## Signals

void | result (const GpgME::Error &error, const QByteArray &returnedData, const QByteArray &returnedError, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual void | startCheck (const QString &mailbox)=0
virtual void | startCreate (const char *fpr, const QString &mailbox)=0
virtual void | startReceive (const QByteArray &response)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| WKSPublishJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

Handles Web Key Service Publishing. Needs WKS tools installed and server support.

Remember that after a result is emitted the job is auto deleted so you can only use it for a single action.

The workflow is to call startCreate, check for errors and then send the RFC822 mail returned in returnedData.

When the response is received call startReceive with the RFC822 mail received as parameter response. Check for errors and then send the result from returnedData back to the server.

## Member Function Documentation

## startCheck()

virtual void QGpgME::WKSPublishJob::startCheck | ( | const QString & | mailbox | ) |

pure virtual

Start a check if WKS Publishing is supported. As this involves an HTTP Query it might take a while. Returns GPG_ERR_NOT_SUPPORED result if GnuPG is too old or the required tools are not installed.

The error GPG_ERR_NOT_ENABLED indicates that wks-tools failed to detect a working wks service for this.

Parameters

  the | mailbox to check for.

Implemented in QGpgME::QGpgMEWKSPublishJob.

## startCreate()

virtual void QGpgME::WKSPublishJob::startCreate | ( | const char * | fpr,
|  | const QString & | mailbox )

pure virtual

Create a publish request. The returnedData from the result signal will contain the full Request as returned by gpg-wks-client –create

Parameters

  fpr | the fingerprint of the key to create the request for.
  mailbox | A simple mail address without a Name.

Implemented in QGpgME::QGpgMEWKSPublishJob.

## startReceive()

virtual void QGpgME::WKSPublishJob::startReceive | ( | const QByteArray & | response | ) |

pure virtual

Handle a submission response. The returnedData in the result singnal will contain the confirmation response as returned by gpg-wks-client –receive

Parameters

  response | The response of the server.

Implemented in QGpgME::QGpgMEWKSPublishJob.

The documentation for this class was generated from the following files:

- wkspublishjob.h
- wkspublishjob.cpp